View Issue Details

IDProjectCategoryView StatusLast Update
0003387Multi Theft Auto : San AndreasScriptingpublic2008-09-05 19:02
Reporterlil_ToadyAssigned Toryden 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0 
Summary0003387: setPedRotation doesn't work if triggered in the same frame the ped has been created
Description

This didn't work:

local ped = createPed ( 209, x, y, z )
setPedRotation ( ped, rot )

It created the ped, applied the rotation but the ped rotated facing the south on its own

However this worked:

local ped = createPed ( 209, x, y, z )
setTimer ( setPedRotation, 1000, 1, ped, rot )

TagsNo tags attached.

Relationships

has duplicate 0003779 closed Ped rotation is not properly set in the client when a ped gets streamed in 
related to 0003740 resolvedlil_Toady Various issues with peds 

Activities

lil_Toady

2008-03-23 10:56

administrator   ~~0007524

I also noticed that if you get far enough, then come back the ped is facing south again

ChrML

2008-03-23 16:22

administrator   ~~0007530

Ped rotation is not saved and/or restored properly. Loading the models is async so that explains the same frame stuff.

Jax

2008-04-02 06:36

administrator   ~~0007591

Pretty sure this is fixed now, test it

Arc

2008-05-24 15:18

administrator   ~~0007765

This is back. The same applies to setPedRotation directly after a setPedSkin.

Issue History

Date Modified Username Field Change